
QGIS Application - Bug report #17662

QGIS 2.99 crashes on 17.10 with CRS Gui

2017-12-09 12:21 AM - Randal Hale

Status: Closed

Priority: High

Assignee:

Category: Unknown

Affected QGIS version:master Regression?: No

Operating System: Ubuntu 17.10 Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:Yes Copied to github as #: 25559

Description

I had submitted a bug report but didn't think I did a decent job describing the problem.

I have installed QGIS 2.99 build 1305ccc if you click on the CRS menu on the lower right QGIS crashes. I started QGIS from a terminal

and received the text below. I then ran QGIS as sudo and saved the output which is attached.

./../src/app/main.cpp: 454: (main) [0ms] Starting qgis main

WARNING: Auth db query exec() FAILED

WARNING: Auth db query exec() FAILED

Warning: Duplicate shortcut registered: Graphical &Modeler...

Stacktrace (piped through c++filt):

/usr/bin/qgis.bin(+0xc31e)[0x557e7e77131e]

/usr/bin/qgis.bin(+0xc82a)[0x557e7e77182a]

/usr/lib/x86_64-linux-gnu/libQt5Core.so.5(+0x9561a)[0x7f0d8bb2a61a]

/usr/lib/x86_64-linux-gnu/libQt5Core.so.5(QMessageLogger::warning(char const*, ...) const+0xae)[0x7f0d8bb2b3ee]

/usr/lib/libqgis_core.so.2.99.0(QgsLogger::warning(QString const&)+0x81)[0x7f0d8d8d2d8f]

/usr/lib/libqgis_gui.so.2.99.0(QgsShortcutsManager::registerAction(QAction*, QString const&)+0x17b)[0x7f0d89542301]

/usr/lib/libqgis_gui.so.2.99.0(QgsShortcutsManager::registerAllChildActions(QObject*, bool)+0x250)[0x7f0d89541cb0]

/usr/lib/libqgis_gui.so.2.99.0(QgsShortcutsManager::registerAllChildren(QObject*, bool)+0x2c)[0x7f0d89541a46]

/usr/lib/libqgis_app.so.2.99.0(QgisApp::QgisApp(QSplashScreen*, bool, bool, QString const&, QString const&, QWidget*,

QFlags<Qt::WindowType>)+0x6ae4)[0x7f0d8e769242]

/usr/bin/qgis.bin(+0x11d85)[0x557e7e776d85]

/lib/x86_64-linux-gnu/libc.so.6(_libc_start_main+0xf1)[0x7f0d8b1391c1]

/usr/bin/qgis.bin(_start+0x2a)[0x557e7e76f05a]

Warning: Duplicate shortcut registered: &History...

Stacktrace (piped through c++filt):

/usr/bin/qgis.bin(+0xc31e)[0x557e7e77131e]

/usr/bin/qgis.bin(+0xc82a)[0x557e7e77182a]

/usr/lib/x86_64-linux-gnu/libQt5Core.so.5(+0x9561a)[0x7f0d8bb2a61a]

/usr/lib/x86_64-linux-gnu/libQt5Core.so.5(QMessageLogger::warning(char const*, ...) const+0xae)[0x7f0d8bb2b3ee]                             

                                                 

/usr/lib/libqgis_core.so.2.99.0(QgsLogger::warning(QString const&)+0x81)[0x7f0d8d8d2d8f]                                                                    

                                 

/usr/lib/libqgis_gui.so.2.99.0(QgsShortcutsManager::registerAction(QAction*, QString const&)+0x17b)[0x7f0d89542301]                       

                                                   

/usr/lib/libqgis_gui.so.2.99.0(QgsShortcutsManager::registerAllChildActions(QObject*, bool)+0x250)[0x7f0d89541cb0]                          

                                                 

/usr/lib/libqgis_gui.so.2.99.0(QgsShortcutsManager::registerAllChildren(QObject*, bool)+0x2c)[0x7f0d89541a46]                                   

                                             

/usr/lib/libqgis_app.so.2.99.0(QgisApp::QgisApp(QSplashScreen*, bool, bool, QString const&, QString const&, QWidget*,
QFlags<Qt::WindowType>)+0x6ae4)[0x7f0d8e769242]                         

/usr/bin/qgis.bin(+0x11d85)[0x557e7e776d85]                                                                                                                                           

       

/lib/x86_64-linux-gnu/libc.so.6(_libc_start_main+0xf1)[0x7f0d8b1391c1]

/usr/bin/qgis.bin(_start+0x2a)[0x557e7e76f05a]

ERROR 6: EPSG PCS/GCS code 37004 not found in EPSG support files.  Is this a valid EPSG coordinate system?

QGIS died on signal 11Could not attach to process.  If your uid matches the uid of the target

process, check the setting of /proc/sys/kernel/yama/ptrace_scope, or try

again as the root user.  For more details, see /etc/sysctl.d/10-ptrace.conf

ptrace: Operation not permitted.

No thread selected

No stack.

gdb returned 0

Aborted (core dumped)

History

#1 - 2017-12-11 12:48 PM - Alessandro Pasotti

I cannot reproduce, the only wierd thing I notice in your logs is that a CRS (37004) is not found, can you share the project (if any) that you were working on?

#2 - 2017-12-11 01:26 PM - Randal Hale

There isn't one - I just open it and immediately hit the CRS menu and it crashes. This machine did have 2.18 running on it - but I've not run a project on this

install yet. As a test I deleted any directories with QGS in them in .config and .local but it still crashes. Is there anything I can do to "reset" QGIS? I became

worried yesterday that maybe this was my machine vs a QGIS issue.

#3 - 2017-12-11 04:09 PM - Randal Hale

So I had a spare 15 minutes and built a fresh kubuntu 17.10 VM. I updated it and installed QGIS 2.99. Same thing happened. Even the same error on

EPSG 37004.

#4 - 2017-12-11 07:21 PM - Frank Sokolic

I also get a crash on Ubuntu 17.10. This happens when I click Project > Project Properties or if I click the CRS button at the bottom right. Here's the

error:

Warning: Duplicate shortcut registered: &History...

Stacktrace (piped through c++filt):

/usr/bin/qgis.bin(+0xc31e)[0x55d048e2431e]

/usr/bin/qgis.bin(+0xc82a)[0x55d048e2482a]

/usr/lib/x86_64-linux-gnu/libQt5Core.so.5(+0x9561a)[0x7fd82f08e61a]

/usr/lib/x86_64-linux-gnu/libQt5Core.so.5(QMessageLogger::warning(char const*, ...) const+0xae)[0x7fd82f08f3ee]

/usr/lib/libqgis_core.so.2.99.0(QgsLogger::warning(QString const&)+0x81)[0x7fd830e36eef]

/usr/lib/libqgis_gui.so.2.99.0(QgsShortcutsManager::registerAction(QAction*, QString const&)+0x17b)[0x7fd82caa63b5]

/usr/lib/libqgis_gui.so.2.99.0(QgsShortcutsManager::registerAllChildActions(QObject*, bool)+0x250)[0x7fd82caa5d64]

/usr/lib/libqgis_gui.so.2.99.0(QgsShortcutsManager::registerAllChildren(QObject*, bool)+0x2c)[0x7fd82caa5afa]

/usr/lib/libqgis_app.so.2.99.0(QgisApp::QgisApp(QSplashScreen*, bool, bool, QString const&, QString const&, QWidget*,

QFlags<Qt::WindowType>)+0x6ae4)[0x7fd831ccd402]

/usr/bin/qgis.bin(+0x11d85)[0x55d048e29d85]
/lib/x86_64-linux-gnu/libc.so.6(__libc_start_main+0xf1)[0x7fd82e69d1c1]

/usr/bin/qgis.bin(_start+0x2a)[0x55d048e2205a]

ERROR 6: EPSG PCS/GCS code 37004 not found in EPSG support files.  Is this a valid EPSG coordinate system?

QGIS died on signal 11Could not attach to process.  If your uid matches the uid of the target

process, check the setting of /proc/sys/kernel/yama/ptrace_scope, or try

again as the root user.  For more details, see /etc/sysctl.d/10-ptrace.conf

ptrace: Operation not permitted.

No thread selected

No stack.

gdb returned 0

Aborted (core dumped)

#5 - 2017-12-11 07:27 PM - Patrick Dunford

duplicate issue

17589 / 17610

#6 - 2017-12-18 04:18 PM - Randal Hale

So an update with b59bd94 install on 12/18

If you start QGIS and click any CRS anything it crashes. 

If you start QGIS and add a Non-4326 and the CRS changes from 4326 - it doesn't crash and I can open all the CRS information from the project

properties.in my case I added data and ended up with a CRS of USER:100025. Nothing crashes at this point.

This is also affecting the Georeferencer. If you do all of this and add an image to georeference and your default CRS is 4326 everything crashes. Add some

data that isn't 4326 and you can work with Georeferencer.

#7 - 2017-12-27 03:11 PM - Saber Razmjooei

- Status changed from Open to Feedback

I am not able to reproduce this bug on a clean Kubuntu 17.10

#8 - 2018-01-04 04:55 AM - Mathieu Pellerin - nIRV

Randal, a fix was committed to master yesterday which hopefully has dealt with this crash. Can you confirm the crash you suffered from his gone? Thanks.

#9 - 2018-01-04 07:26 PM - Randal Hale

So far so good - updated this morning and no crashing and I can adjust the projections. I'm still working with it but it looks Fixed. Awesome. You guys rock.

#10 - 2018-01-05 03:08 AM - Mathieu Pellerin - nIRV

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed
